# Possible commands:

# simple line; use same for different actions with line, with a different command instead of tellraw
# execute as @e[tag=active,scores={dialogue=X},tag=example] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"X"}]

# add tag keep for different starting line after ending dialogue
# execute as @e[tag=active,scores={dialogue=Y..},tag=example] run tag @s add keep

# sets the new starting line; Y+2 if using next command, if not just Y
# execute as @e[tag=keep,tag=example] if entity @s[tag=!active] run scoreboard players set @s dialogue Y+2

# optional if using 2 previous commands: stops different lines from being part of first dialogue
# execute as @e[tag=keep,scores={dialogue=Y+1},tag=active,tag=example] run scoreboard players set @s dialogue Y

# The next line needs to be the Y of the second command +1

# Scene 1
execute as @e[tag=active,scores={dialogue=1},tag=Josh_1a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ugh… Josh...","bold":false,"italic":true,"color":"aqua"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_1a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Josh, wake up!...","bold":false,"italic":true,"color":"aqua"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_1a] at @s if entity @p[scores={right=2}] run tp @a 1080.7 43 987.0 -90 0
execute as @e[tag=active,scores={dialogue=3},tag=Josh_1a] at @s if entity @p[scores={right=2}] run tag @a add tp1

tp @e[tag=tp1] 1080.7 43 987.0

execute as @e[tag=active,scores={dialogue=3},tag=Josh_1a] at @s if entity @p[scores={right=2}] run title @a actionbar ["",{"text":"Turn on bed light","bold":true,"italic":true,"underlined":true,"color":"gray"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_1a] at @s if entity @p[scores={right=2}] run tag @e[tag=light] add active
execute as @e[tag=active,scores={dialogue=3},tag=Josh_1a] at @s if entity @p[scores={right=2}] run tag @a remove npc
# Condition: turn on light
execute as @e[tag=light1,nbt={ItemRotation:1b}] if entity @a[tag=Josh_1a] run tellraw @a ["",{"text":"Honey, what's wrong?","color":"white"}]
execute as @e[tag=light1,nbt={ItemRotation:1b}] if entity @a[tag=Josh_1a] run tag @e[tag=light] remove active
execute as @e[tag=light1,nbt={ItemRotation:1b}] if entity @a[tag=Josh_1a] run tag @e[tag=Cheryl1] add As_headR
execute as @e[tag=light1,nbt={ItemRotation:1b}] if entity @a[tag=Josh_1a] run tag @a add Josh_1b
execute as @e[tag=light1,nbt={ItemRotation:1b}] if entity @a[tag=Josh_1a] run tag @a remove Josh_1a
execute as @e[tag=light1,nbt={ItemRotation:1b}] if entity @a[tag=Josh_1b] run tag @a add npc


execute as @e[tag=active,scores={dialogue=1},tag=Josh_1b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I’m not… feeling really good…","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_1b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh no, it’ the baby? It’s time?","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_1b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"No Josh, you… silly! It’s far too soon…","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=4},tag=Josh_1b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh yeah, you’re right. You know, it feels like it has been that long….","color":"white"}]
execute as @e[tag=active,scores={dialogue=5},tag=Josh_1b] at @s if entity @p[scores={right=2}] run scoreboard players set @e[tag=Cheryl1] eyes 201
execute as @e[tag=active,scores={dialogue=5},tag=Josh_1b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"No time to… discuss! It’s not time, but… it may still be the baby…","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=6},tag=Josh_1b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok, ok! Stay calm, honey: just a bag, some clothes and we are ready to go. Resist, I'll be quick!","color":"white"}]
execute as @e[tag=active,scores={dialogue=7},tag=Josh_1b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You can't... resist these things! Please... be quicker...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=8},tag=Josh_1b] at @s if entity @p[scores={right=2}] run tag @a add scene_end1
execute as @e[tag=active,scores={dialogue=8},tag=scene_end1] at @s if entity @p[scores={right=2}] run tag @a remove Josh_1b
execute as @e[tag=active,scores={dialogue=8},tag=scene_end1] at @s if entity @p[scores={right=2}] run tag @a remove tp1
execute as @e[tag=active,scores={dialogue=8},tag=scene_end1] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=8},tag=scene_end1] at @s if entity @p[scores={right=2}] run tp @a 1000 15 1000
execute as @e[tag=active,scores={dialogue=8},tag=scene_end1] at @s if entity @p[scores={right=2}] run data merge entity @e[limit=1,tag=light1] {ItemRotation:2b}
execute as @e[tag=active,scores={dialogue=8},tag=scene_end1] at @s if entity @p[scores={right=2}] run scoreboard players set @e[tag=Cheryl1] eyes 101


# Scene 2
execute as @e[tag=active,scores={dialogue=1},tag=Cheryl2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"How's going? Do you feel any better?","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Cheryl2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes... I still feel a bit uneasy, tough...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=3},tag=Cheryl2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok. We are almost there, don’t worry.","color":"white"}]
execute as @e[tag=active,scores={dialogue=4},tag=Cheryl2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"These… trips are always unexpected, but... I'm happy, Josh... we’ll be parents.","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=5},tag=Cheryl2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes, our life... will take a turn.","color":"white"}]
execute as @e[tag=active,scores={dialogue=6},tag=Cheryl2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"All these issues are annoying, but… I'm happy... a new chapter for me... for us... I love you.","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=7},tag=Cheryl2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I love you too...","color":"white"}]
execute as @e[tag=active,scores={dialogue=8},tag=Cheryl2] at @s if entity @p[scores={right=2}] run tag @a add scene_end2
execute as @e[tag=active,scores={dialogue=8},tag=Cheryl2] at @s if entity @p[scores={right=2}] run tp @a 1000 15 1000


# Scene 3
execute as @e[tag=active,scores={dialogue=1},tag=Josh_2a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It has been two hours... and she’s still being visited, why is it taking so long?","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_2a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It’s not the first time she’s being visited for things like this, what’s so different this time?!","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_2a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ugh.. I'm too nervous. Maybe washing my face will help calm myself...","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_2a] at @s if entity @p[scores={right=2}] run effect give @e[tag=water] glowing 999999 0 true
execute as @e[tag=active,scores={dialogue=3},tag=Josh_2a] at @s if entity @p[scores={right=2}] run tag @e[tag=water] add npc
execute as @e[tag=active,scores={dialogue=3},tag=Josh_2a] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=3},tag=Josh_2a] at @s if entity @p[scores={right=2}] run tag @a remove Josh_2a

execute as @e[tag=active,scores={dialogue=1},tag=water] at @s if entity @p[scores={right=2}] run setblock 931 22 1005 lever[facing=east,powered=true]
execute as @e[tag=active,scores={dialogue=1},tag=water] at @s if entity @p[scores={right=2}] run fill 934 21 1000 934 22 1000 barrier
execute as @e[tag=active,scores={dialogue=1},tag=water] at @s if entity @p[scores={right=2}] run tag @a add Josh_2b
execute as @e[tag=active,scores={dialogue=1},tag=water] at @s if entity @p[scores={right=2}] run tag @a add npc
execute as @e[tag=active,scores={dialogue=1},tag=water] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I'm a little nervous... this pregnancy keeps us awake at night, but… my life is about to change… for the better.","color":"white"}]
execute as @e[tag=active,scores={dialogue=1},tag=water] at @s if entity @p[scores={right=2}] run kill @e[tag=water]

execute as @e[tag=active,tag=Josh_2b] unless entity @s[scores={dialogue=2..}] at @s run playsound minecraft:weather.rain master @a ~ ~15 ~ 0.1

execute as @e[tag=active,scores={dialogue=1},tag=Josh_2b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"...will I be a good parent?","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_2b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Argh! I'm worried... but I have Cheryl at my side. Together, nothing will stop us...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_2b] at @s if entity @p[scores={right=2}] run setblock 931 22 1005 lever[facing=east,powered=false]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_2b] at @s if entity @p[scores={right=2}] run stopsound @a master minecraft:weather.rain
execute as @e[tag=active,scores={dialogue=3},tag=Josh_2b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Anyway, I feel better. Maybe a nurse can give me some updates...","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_2b] at @s if entity @p[scores={right=2}] run tp @e[tag=doctor1] 946.2 20.95 998.9 145 0
execute as @e[tag=active,scores={dialogue=3},tag=Josh_2b] at @s if entity @p[scores={right=2}] run fill 934 21 1000 934 22 1000 air
execute as @e[tag=active,scores={dialogue=3},tag=Josh_2b] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute if entity @a[x=934,y=21,z=1000,dx=0,dy=1,dz=0,tag=Josh_2b] run tellraw @a ["",{"text":"Oh, here’s the doctor. I should talk with him.","color":"white"}]
execute if entity @a[x=934,y=21,z=1000,dx=0,dy=1,dz=0,tag=Josh_2b] run tag @a remove Josh_2b

execute as @e[tag=active,scores={dialogue=1},tag=doctor1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Good morning doctor. What’s taking so long? How's my wife?","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=doctor1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I'm sorry you had to wait: your wife is fine, she's resting, but...","color":"blue"}]
execute as @e[tag=active,scores={dialogue=3},tag=doctor1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I need to talk with you, in my study. Please, follow me…","color":"blue"}]
execute as @e[tag=active,scores={dialogue=4},tag=doctor1] at @s if entity @p[scores={right=2}] run tag @a add scene_end3
execute as @e[tag=active,scores={dialogue=4},tag=doctor1] at @s if entity @p[scores={right=2}] run tp @e[tag=doctor1] 1000 20 1000
execute as @e[tag=active,scores={dialogue=4},tag=doctor1] at @s if entity @p[scores={right=2}] run setblock 931 22 1005 air
execute as @e[tag=active,scores={dialogue=4},tag=doctor1] at @s if entity @p[scores={right=2}] run summon armor_stand 931.063 21.0615 1005 {ArmorItems:[{},{},{},{id:bamboo,Count:1b}],Pose:{Head:[90.0f,0.0f,0.0f]},Rotation:[-90.0f,0.0f],NoGravity:true,Marker:true,Invisible:true,Tags:["water"]}
execute as @e[tag=active,scores={dialogue=4},tag=doctor1] at @s if entity @p[scores={right=2}] run tp @a 1000 15 1000


# Scene 4
execute if entity @a[x=938,y=32,z=980,dx=1,dy=1,dz=2,tag=Josh_3a] unless entity @e[tag=chair1,tag=npc] run tellraw @a ["",{"text":"Take a seat...","color":"blue"}]
execute if entity @a[x=938,y=32,z=980,dx=1,dy=1,dz=2,tag=Josh_3a] unless entity @e[tag=chair1,tag=npc] run tag @e[tag=chair1] add npc
execute if entity @a[x=938,y=32,z=980,dx=1,dy=1,dz=2,tag=Josh_3a] run tag @a remove Josh_3a

execute as @e[tag=active,scores={dialogue=1},tag=chair1] at @s if entity @p[scores={right=2}] run tag @a add tp2
execute as @e[tag=active,scores={dialogue=1},tag=chair1] at @s if entity @p[scores={right=2}] run tag @a add npc
execute as @e[tag=active,scores={dialogue=1},tag=chair1] at @s if entity @p[scores={right=2}] run tag @a add Josh_3b
execute as @e[tag=active,scores={dialogue=1},tag=chair1] at @s if entity @p[scores={right=2}] run tp @a[tag=tp2] 935.2 32 981 90 5
execute as @e[tag=active,scores={dialogue=1},tag=chair1] at @s if entity @p[scores={right=2}] run tag @e[tag=chair1] remove npc
execute as @e[tag=active,scores={dialogue=1},tag=chair1] at @s if entity @p[scores={right=2}] run tag @e[tag=chair1] remove active

tp @a[tag=tp2] 935.2 32 981

execute as @e[tag=active,scores={dialogue=1},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"What's happening? How's the situation?","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Your wife had a small hemorrhage: nothing to worry about, she only needs few days of rest.","color":"blue"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok... but... the baby is fine?","color":"white"}]
execute as @e[tag=active,scores={dialogue=4},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I'm sorry. Your wife had a miscarriage.","color":"blue"}]
execute as @e[tag=active,scores={dialogue=5},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"W-what?...","color":"white"}]
execute as @e[tag=active,scores={dialogue=6},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Your baby had a very rare genetic defect: little is known about it, so we couldn’t detect it sooner.","color":"blue"}]
execute as @e[tag=active,scores={dialogue=7},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"This can’t be… I… me and my wife… we though every was ok…","color":"white"}]
execute as @e[tag=active,scores={dialogue=8},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I’m deeply sorry for your loss. I understand how you feel now… but it wasn’t your fault.","color":"blue"}]
execute as @e[tag=active,scores={dialogue=9},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes… you’re right.","color":"white"}]
execute as @e[tag=active,scores={dialogue=10},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Be close to your partner: a miscarriage is never easy to accept, she needs all the support you can give in this moment.","color":"blue"}]
execute as @e[tag=active,scores={dialogue=11},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"But this is also valid for you: don’t try to repress what you feel, you need someone to talk to. I can give you a list of therapists, please consider taking an appointment with one of them.","color":"blue"}]
execute as @e[tag=active,scores={dialogue=12},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok… thanks, I will.","color":"white"}]
execute as @e[tag=active,scores={dialogue=13},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Is there… something else I can do?","color":"white"}]
execute as @e[tag=active,scores={dialogue=14},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"There is no rush, but… you can get us some health documents about your parents.","color":"blue"}]
execute as @e[tag=active,scores={dialogue=15},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Your wife's genetic history was complete, but I can't say the same for you. We know little about your parents, weren't you able to obtain more from them?","color":"blue"}]
execute as @e[tag=active,scores={dialogue=16},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I couldn't... My parents are both dead...  I was only able to give their most recent medical record.","color":"white"}]
execute as @e[tag=active,scores={dialogue=17},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok... I understand.","color":"blue"}]
execute as @e[tag=active,scores={dialogue=18},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Knowing more about your genetic history it’s important, it could really help us...","color":"blue"}]
execute as @e[tag=active,scores={dialogue=19},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok... I'll see what I can do...","color":"white"}]
execute as @e[tag=active,scores={dialogue=20},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thank you. It won’t be easy, but… you can recover from this: take your time to grieve...","color":"blue"}]
execute as @e[tag=active,scores={dialogue=21},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"You should go to your wife, now: in this difficult time, you need to spend as much time with each other as you can. Good luck...","color":"blue"}]
execute as @e[tag=active,scores={dialogue=22},tag=Josh_3b] at @s if entity @p[scores={right=2}] run tag @a add scene_end4
execute as @e[tag=active,scores={dialogue=22},tag=scene_end4] at @s if entity @p[scores={right=2}] run tag @a remove tp2
execute as @e[tag=active,scores={dialogue=22},tag=scene_end4] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=22},tag=scene_end4] at @s if entity @p[scores={right=2}] run tag @a remove Josh_3b
execute as @e[tag=active,scores={dialogue=22},tag=scene_end4] at @s if entity @p[scores={right=2}] run tp @a 1000 15 1000


# Scene 5
tp @a[tag=tp3] 936 41 1006.2

execute as @e[tag=active,scores={dialogue=1},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Cheryl, love, I'm here...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tag @e[tag=Cheryl3] add As_headL
execute as @e[tag=active,scores={dialogue=2},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Josh... I'm so sorry...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=3},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Honey... why are you sorry?...","color":"white"}]
execute as @e[tag=active,scores={dialogue=4},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Our baby... I failed you, Josh, It's all my fault...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=5},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"No, Cheryl... no... you did nothing wrong.","color":"white"}]
execute as @e[tag=active,scores={dialogue=6},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"No Josh... it was my body that decided it didn't want the baby... I wasn't strong enough...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=7},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Cheryl... it doesn't work that way... You are the strongest person I ever known and there's no one else I want by my side more than you.","color":"white"}]
execute as @e[tag=active,scores={dialogue=8},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Josh...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=9},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I love you Cheryl. This won't stop us...","color":"white"}]
execute as @e[tag=active,scores={dialogue=10},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I will always be with you...","color":"white"}]
execute as @e[tag=active,scores={dialogue=11},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"...no matter what.","color":"white"}]
execute as @e[tag=active,scores={dialogue=12},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tag @a remove tp3
execute as @e[tag=active,scores={dialogue=12},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tag @a add scene_end5
execute as @e[tag=active,scores={dialogue=12},tag=Cheryl3] at @s if entity @p[scores={right=2}] run tp @a 1000 15 1000


# Scene 6
execute as @e[tag=active,scores={dialogue=1},tag=Josh_4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"My old house... it has been a long time since I last was here...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"After my parents died, I didn't know what to do with it... I should have sold it long ago...","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"...it's cold here. I should turn up the heat... with a nice fire.","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_4a] at @s if entity @p[scores={right=2}] run tag @e[tag=matches] add npc
execute as @e[tag=active,scores={dialogue=3},tag=Josh_4a] at @s if entity @p[scores={right=2}] run tag @e[tag=log] add npc
execute as @e[tag=active,scores={dialogue=3},tag=Josh_4a] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=3},tag=Josh_4a] at @s if entity @p[scores={right=2}] run tag @a remove Josh_4a

execute as @e[tag=active,scores={dialogue=1},tag=matches] at @s if entity @p[scores={right=2}] run tp @s ~ ~-5 ~
execute as @e[tag=active,scores={dialogue=1},tag=matches] at @s if entity @p[scores={right=2}] run give @a cocoa_beans{display:{Name:"[{\"text\":\"Matches\",\"italic\":false,\"bold\":true,\"color\":\"red\"}]",Lore:["[{\"text\":\"Right click wood with them to start fire\",\"color\":\"gray\"}]"]},fire:true}
execute as @e[tag=active,scores={dialogue=1},tag=matches] at @s if entity @p[scores={right=2}] run tag @e[tag=matches] remove npc
execute as @e[tag=active,scores={dialogue=1},tag=matches] at @s if entity @p[scores={right=2}] run tag @e[tag=matches] remove active

execute as @e[tag=active,scores={dialogue=1},tag=log] at @s unless entity @a[nbt={SelectedItem:{id:"minecraft:cocoa_beans",Count:1b,tag:{fire:true}}}] run scoreboard players reset @s dialogue
execute as @e[tag=active,scores={dialogue=1},tag=log] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:cocoa_beans",Count:1b,tag:{fire:true}}}] run tag @e[tag=log] add flame
execute as @e[tag=active,scores={dialogue=1},tag=log] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:cocoa_beans",Count:1b,tag:{fire:true}}}] run tag @a add npc
execute as @e[tag=active,scores={dialogue=1},tag=log] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:cocoa_beans",Count:1b,tag:{fire:true}}}] run tag @a add Josh_4b
execute as @e[tag=active,scores={dialogue=1},tag=log] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:cocoa_beans",Count:1b,tag:{fire:true}}}] run tag @e[tag=log] remove npc
execute as @e[tag=active,scores={dialogue=1},tag=log] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:cocoa_beans",Count:1b,tag:{fire:true}}}] run tag @e[tag=log] remove active
execute if entity @a[nbt={SelectedItem:{id:"minecraft:cocoa_beans",Count:1b,tag:{fire:true}}},tag=Josh_4b] run clear @a cocoa_beans{fire:true}

execute at @e[tag=log,tag=flame] run particle flame ~ ~1 ~ 0.1 0.1 0.1 0.005 3 force

execute if entity @e[tag=log,tag=!flame] run scoreboard players reset FIRE dialogue
execute if entity @e[tag=log,tag=flame] run scoreboard players add FIRE dialogue 1
execute if score FIRE dialogue matches 58.. run scoreboard players set FIRE dialogue 1
execute if score FIRE dialogue matches 1 run execute at @e[tag=log,tag=flame] run playsound minecraft:block.furnace.fire_crackle master @a ~ ~ ~ 0.2
execute if score FIRE dialogue matches 37 run execute at @e[tag=log,tag=flame] run playsound minecraft:block.furnace.fire_crackle master @a ~ ~ ~ 0.2

execute as @e[tag=active,scores={dialogue=1},tag=Josh_4b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Using a fireplace is one of those things I will always enjoy, no matter what…","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_4b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It’s one of those things that automatically makes me feel better… even here…","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_4b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Every time I come to this house, memories of my past... when my parents were still here, fill my head…","color":"white"}]
execute as @e[tag=active,scores={dialogue=4},tag=Josh_4b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Luckily, when it happened, I was already planning on living on my own during college... at the time, staying here was only painful, but now… it feels peaceful…","color":"white"}]
execute as @e[tag=active,scores={dialogue=5},tag=Josh_4b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Hmm, the fire has done it’s job… I should check out my bedroom.","color":"white"}]
execute as @e[tag=active,scores={dialogue=5},tag=Josh_4b] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=!npc,tag=Josh_4b] run scoreboard players reset @s dialogue
execute as @e[tag=!npc,tag=Josh_4b] run tag @a add Josh_4c
execute as @e[tag=!npc,tag=Josh_4b] run tag @a remove Josh_4b

execute if entity @a[x=998,y=30,z=1058,dx=2,dy=1,dz=1,tag=Josh_4c] run tag @a add npc

execute as @e[tag=active,scores={dialogue=1},tag=Josh_4c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Nothing has changed since last time I slept here... or rather, last time I laid here…","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_4c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It was awful… the bed felt like stone and the night felt endless…","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_4c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"And that I thought… it would have never ended… for the rest of my life…","color":"white"}]
execute as @e[tag=active,scores={dialogue=4},tag=Josh_4c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Never I would have imagined about meeting Cheryl… who knew sharing tragedies could soothe one another…","color":"white"}]
execute as @e[tag=active,scores={dialogue=5},tag=Josh_4c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That's enough. Today I just wanted to check the place out; if I want to find something, I’ll have to return tomorrow...","color":"white"}]
execute as @e[tag=active,scores={dialogue=6},tag=Josh_4c] at @s if entity @p[scores={right=2}] run tag @a add scene_end6
execute as @e[tag=active,scores={dialogue=6},tag=scene_end6] at @s if entity @p[scores={right=2}] run tag @a remove Josh_4c
execute as @e[tag=active,scores={dialogue=6},tag=scene_end6] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=6},tag=scene_end6] at @s if entity @p[scores={right=2}] run tag @e[tag=log] remove flame
execute as @e[tag=active,scores={dialogue=6},tag=scene_end6] at @s if entity @p[scores={right=2}] run tp @e[tag=matches] 1002.8 25.282 1061.6
execute as @e[tag=active,scores={dialogue=6},tag=scene_end6] at @s if entity @p[scores={right=2}] run tp @a 1000 15 1000


# Scene 7
tp @a[tag=tp4] 1057 37 996

execute as @e[tag=active,scores={dialogue=1},tag=Josh_5a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Cheryl, I'm home.","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_5a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Hmm, she isn't responding me…","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_5a] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=!npc,tag=Josh_5a] run scoreboard players reset @s dialogue
execute as @e[tag=!npc,tag=Josh_5a] run tag @a remove tp4
execute as @e[tag=!npc,tag=Josh_5a] run tag @e[tag=Cheryl4] add C4a
execute as @e[tag=!npc,tag=Josh_5a] run tag @a remove Josh_5a

execute as @e[tag=active,scores={dialogue=1},tag=C4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Cheryl...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=C4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Hi Josh... Welcome back...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=3},tag=C4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It's everything ok?","color":"white"}]
execute as @e[tag=active,scores={dialogue=4},tag=C4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes...I’ve just slept here on the couch for a bit… How has went... the search?","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=5},tag=C4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I didn’t really have the time to find anything. I will return there tomorrow.","color":"white"}]
execute as @e[tag=active,scores={dialogue=6},tag=C4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh...ok.","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=7},tag=C4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I wanted to make some tea… Do you want some?","color":"white"}]
execute as @e[tag=active,scores={dialogue=8},tag=C4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes, thank you…","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=8},tag=C4a] at @s if entity @p[scores={right=2}] run tag @e[tag=mug] add npc
execute as @e[tag=active,scores={dialogue=8..},tag=C4a] run tag @s add keep
execute as @e[tag=keep,tag=C4a] if entity @s[tag=!active] run scoreboard players set @s dialogue 10
execute as @e[tag=keep,scores={dialogue=9},tag=active,tag=C4a] run scoreboard players set @s dialogue 8
execute as @e[tag=active,scores={dialogue=11},tag=C4a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"...","color":"aqua"}]

execute as @e[tag=active,scores={dialogue=1},tag=mug] at @s if entity @p[scores={right=2}] run tp @s ~ ~-5 ~
execute as @e[tag=active,scores={dialogue=1},tag=mug] at @s if entity @p[scores={right=2}] run give @a light_blue_dye{display:{Name:"[{\"text\":\"Mug (empty)\",\"italic\":false,\"bold\":true,\"color\":\"blue\"}]",Lore:["[{\"text\":\"Fill with water to make tea\",\"color\":\"gray\"}]"]},empty:true}
execute as @e[tag=active,scores={dialogue=1},tag=mug] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"This is Cheryl's favourite mug; I hope this tea can make her feel better...","color":"white","italic":true}]
execute as @e[tag=active,scores={dialogue=1},tag=mug] at @s if entity @p[scores={right=2}] run tag @e[tag=microwave] add mc_mug
execute as @e[tag=active,scores={dialogue=1},tag=mug] at @s if entity @p[scores={right=2}] run tag @e[tag=mug] remove npc
execute as @e[tag=active,scores={dialogue=1},tag=mug] at @s if entity @p[scores={right=2}] run tag @e[tag=mug] remove active

execute if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{empty:true}}}] if block 1070 38 982 lever[powered=true] run give @a light_blue_dye{display:{Name:"[{\"text\":\"Mug (filled)\",\"italic\":false,\"bold\":true,\"color\":\"blue\"}]",Lore:["[{\"text\":\"Heat the water in the microwave\",\"color\":\"gray\"}]"]},filled:true}
execute if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{empty:true}}}] if block 1071 38 982 lever[powered=true] run give @a light_blue_dye{display:{Name:"[{\"text\":\"Mug (filled)\",\"italic\":false,\"bold\":true,\"color\":\"blue\"}]",Lore:["[{\"text\":\"Heat the water in the microwave\",\"color\":\"gray\"}]"]},filled:true}
execute if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{empty:true}}}] if block 1070 38 982 lever[powered=true] run clear @a light_blue_dye{empty:true}
execute if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{empty:true}}}] if block 1071 38 982 lever[powered=true] run clear @a light_blue_dye{empty:true}

execute as @e[tag=active,scores={dialogue=1},tag=mc_mug] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{filled:true}}}] run data merge entity @e[limit=1,tag=microwave] {ArmorItems:[{},{},{},{id:orange_dye,Count:1b,tag:{CustomModelData:2}}]}
execute as @e[tag=active,scores={dialogue=1},tag=mc_mug] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{filled:true}}}] run summon armor_stand 1072.6 36.9 986.35 {ArmorItems:[{},{},{},{id:light_blue_dye,Count:1b}],Rotation:[90.0f],Marker:true,NoGravity:true,Invisible:true,Tags:["mug_filled","keep"]}
execute as @e[tag=active,scores={dialogue=1},tag=mc_mug] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{filled:true}}}] run tellraw @a ["",{"text":"Ok, I just need to wait for a bit, I should find the tea.","color":"white"}]
execute as @e[tag=active,scores={dialogue=1},tag=mc_mug] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{filled:true}}}] run tag @e[tag=microwave] remove mc_mug
execute if entity @e[tag=mug_filled] run clear @a light_blue_dye{filled:true}

# Here "dialogue" is used for a timer and the tag "keep" makes the objective usable for that purpose
execute as @e[tag=mug_filled,scores={dialogue=1..250}] at @s run tp @s ~ ~ ~ ~0.6 0
execute as @e[tag=mug_filled,scores={dialogue=1..250}] at @s run playsound minecraft:block.conduit.ambient master @a ~ ~8 ~ 0.1 2
execute as @e[tag=mug_filled] at @s unless entity @s[scores={dialogue=..0}] run scoreboard players add @s dialogue 1
execute as @e[tag=mug_filled,scores={dialogue=250..}] at @s run tellraw @a ["",{"text":"Oh right, I also need honey. The water is ready, I should take that first.","color":"white"}]
execute as @e[tag=mug_filled,scores={dialogue=250..}] at @s run playsound minecraft:entity.arrow.hit_player master @a ~ ~ ~ 1 1.5
execute as @e[tag=mug_filled,scores={dialogue=250..}] at @s run tag @e[tag=microwave] add mc_hot
execute as @e[tag=mug_filled,scores={dialogue=250..}] at @s run stopsound @a master minecraft:block.conduit.ambient
execute as @e[tag=mug_filled,scores={dialogue=250..}] at @s run scoreboard players set @s dialogue -1

execute if block 1070 37 986 dark_oak_fence_gate[open=false] run tag @e[tag=tea] remove npc
execute if block 1070 37 986 dark_oak_fence_gate[open=true] run tag @e[tag=tea] add npc
execute if entity @e[tag=tea,tag=npc,tag=active] run effect give @e[tag=honey] glowing 1 1 true
execute if entity @e[tag=tea,tag=!active] run effect clear @e[tag=honey] glowing 
execute if block 1070 37 986 dark_oak_fence_gate[open=false] run effect clear @e[tag=honey] glowing

execute as @e[tag=active,scores={dialogue=1},tag=mc_hot] at @s if entity @p[scores={right=2}] run data merge entity @e[limit=1,tag=microwave] {ArmorItems:[{},{},{},{id:orange_dye,Count:1b,tag:{CustomModelData:1}}]}
execute as @e[tag=active,scores={dialogue=1},tag=mc_hot] at @s if entity @p[scores={right=2}] run kill @e[tag=mug_filled]
execute as @e[tag=active,scores={dialogue=1},tag=mc_hot] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok, now I can put everything inside…","color":"white"}]
execute as @e[tag=active,scores={dialogue=1},tag=mc_hot] at @s if entity @p[scores={right=2}] run give @a light_blue_dye{display:{Name:"[{\"text\":\"Mug (hot)\",\"italic\":false,\"bold\":true,\"color\":\"blue\"}]",Lore:["[{\"text\":\"Put the tea and honey inside\",\"color\":\"gray\"}]"]},hot:true}
execute as @e[tag=active,scores={dialogue=1},tag=mc_hot] at @s if entity @p[scores={right=2}] run tag @e[tag=microwave] remove mc_hot

execute as @e[tag=active,scores={dialogue=1},tag=tea] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{hot:true}}}] run tag @e[tag=Cheryl4] remove C4a
execute as @e[tag=active,scores={dialogue=1},tag=tea] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{hot:true}}}] run tag @e[tag=Cheryl4] remove keep
execute as @e[tag=active,scores={dialogue=1},tag=tea] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{hot:true}}}] run tag @e[tag=Cheryl4] add C4b
execute as @e[tag=active,scores={dialogue=1},tag=tea] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{hot:true}}}] run scoreboard players reset @e[tag=Cheryl4] dialogue
execute as @e[tag=active,scores={dialogue=1},tag=tea] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{hot:true}}}] run give @a honeycomb{CustomModelData:3,display:{Name:"[{\"text\":\"mug of tea\",\"italic\":false,\"bold\":true,\"color\":\"gold\"}]",Lore:["[{\"text\":\"Give the tea to Cheryl\",\"color\":\"gray\"}]"]},teamug:true}
execute as @e[tag=active,scores={dialogue=1},tag=tea] at @s if entity @p[scores={right=2}] if entity @a[nbt={SelectedItem:{id:"minecraft:light_blue_dye",Count:1b,tag:{hot:true}}}] run clear @a light_blue_dye{hot:true}

execute as @e[tag=active,scores={dialogue=1},tag=C4b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Here you go. How is it?","color":"white"}]
execute as @e[tag=active,scores={dialogue=1},tag=C4b] at @s if entity @p[scores={right=2}] run clear @a honeycomb{teamug:true}
execute as @e[tag=active,scores={dialogue=1},tag=C4b] at @s if entity @p[scores={right=2}] unless entity @e[tag=tea_mug] run summon armor_stand 1070.17 36.6 997.5 {ArmorItems:[{},{},{},{id:honeycomb,Count:1b,tag:{CustomModelData:3}}],Rotation:[0.0f],Marker:true,NoGravity:true,Invisible:true,Tags:["tea_mug"]}
execute as @e[tag=active,scores={dialogue=2},tag=C4b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It’s good… just a bit bitter…","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=3},tag=C4b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Oh, do you want more honey?","color":"white"}]
execute as @e[tag=active,scores={dialogue=4},tag=C4b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"No… I like it this way.","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=5},tag=C4b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thank you Josh...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=6},tag=C4b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"...","color":"white"}]
execute as @e[tag=active,scores={dialogue=7},tag=C4b] at @s if entity @p[scores={right=2}] run tag @a add scene_end7
execute as @e[tag=active,scores={dialogue=7},tag=C4b] at @s if entity @p[scores={right=2}] run kill @e[tag=tea_mug]
execute as @e[tag=active,scores={dialogue=7},tag=C4b] at @s if entity @p[scores={right=2}] run tp @e[tag=mug] 1068.5 37.81 986.3
execute as @e[tag=active,scores={dialogue=7},tag=C4b] at @s if entity @p[scores={right=2}] run tp @a 1000 15 1000
execute as @e[tag=active,scores={dialogue=7},tag=C4b] at @s if entity @p[scores={right=2}] run tag @e[tag=Cheryl4] remove C4b


# Scene 8
execute as @e[tag=active,scores={dialogue=1},tag=Josh_6a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"This is my father’s studio. It's the last place where I can find something.","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_6a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I should look in every drawer and file cabinet. What I'm searching for could be anywhere...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_6a] at @s if entity @p[scores={right=2}] run tag @e[tag=studio] add npc
execute as @e[tag=active,scores={dialogue=2},tag=Josh_6a] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=2},tag=Josh_6a] at @s if entity @p[scores={right=2}] run tag @a remove Josh_6a

execute as @e[tag=active,scores={dialogue=1},tag=family] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I don't remember this photo... these are my parents, but the couple on the right... the photo is a bit faded, maybe they are some old friends...","color":"white"}]

execute as @e[tag=active,scores={dialogue=1},tag=s0] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Hmm, doesn't seem to be much here. Only some old documents and few pencils...","color":"white"}]
execute as @e[tag=active,scores={dialogue=1},tag=s0] at @s if entity @p[scores={right=2}] run tag @s add read
execute as @e[tag=active,scores={dialogue=1},tag=s1] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"These drawers are filled with souvenirs from our holidays. Every summer we visited somewhere new and, every time, dad spent too much money on them. And, once home, they always ended up here, never to be seen again.","color":"white"}]
execute as @e[tag=active,scores={dialogue=1},tag=s1] at @s if entity @p[scores={right=2}] run tag @s add read
execute as @e[tag=active,scores={dialogue=1},tag=s2] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"This file cabinet is filled with dad's papers. He worked always on a desk: he wasn't really active and mom always reproached him for that.","color":"white"}]
execute as @e[tag=active,scores={dialogue=1},tag=s2] at @s if entity @p[scores={right=2}] run tag @s add read
execute as @e[tag=active,scores={dialogue=1},tag=s3] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"These are all photos. Mom was always with a camera and took tons of photo that were promptly developed. Even with the new technologies, she always wanted something more material.","color":"white"}]
execute as @e[tag=active,scores={dialogue=1},tag=s3] at @s if entity @p[scores={right=2}] run tag @s add read
execute as @e[tag=active,scores={dialogue=1},tag=s4] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Here are kept all the research my mother did. She was a brilliant ecologist, I owe to her my passion for biology.","color":"white"}]
execute as @e[tag=active,scores={dialogue=1},tag=s4] at @s if entity @p[scores={right=2}] run tag @s add read
execute as @e[tag=active,scores={dialogue=1},tag=s5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"These are all the work tools of my dad: a pen, a pencil, an eraser, a calculator and... a bottle of whiskey; it's still a bit full, but I don't know if I will ever drink it...","color":"white"}]
execute as @e[tag=active,scores={dialogue=1},tag=s5] at @s if entity @p[scores={right=2}] run tag @s add read

execute unless entity @e[tag=studio,tag=!read] unless entity @a[tag=npc,tag=Josh_6b] run tag @e[tag=studio] add complete
execute if entity @e[tag=studio,tag=complete] run tellraw @a ["",{"text":"Hmm...","color":"white"}]
execute if entity @e[tag=studio,tag=complete] run tag @a add npc
execute if entity @e[tag=studio,tag=complete] run tag @a add Josh_6b
execute if entity @e[tag=studio,tag=complete] run tag @e[tag=studio] remove npc
execute if entity @e[tag=studio,tag=complete] run tag @e[tag=studio] remove active
execute if entity @e[tag=studio,tag=complete] run tag @e[tag=studio] remove read
execute if entity @e[tag=studio,tag=complete] run tag @e[tag=studio] remove complete

execute as @e[tag=active,scores={dialogue=1},tag=Josh_6b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I haven't found a single paper that can help me. Maybe there's really nothing of interest...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_6b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Wait, the desk! My dad once told me that one of the drawers has a secret compartment. Maybe that's why one was almost empty…","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_6b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Important documents are surely hidden in here. Let's see...","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_6b] at @s if entity @p[scores={right=2}] run tag @a remove npc
# Here the commands are like this because the player's score needs to be resetted if they are already standing in front of the drawer
execute as @e[tag=!npc,tag=Josh_6b] run scoreboard players reset @s dialogue
execute as @e[tag=!npc,tag=Josh_6b] run tag @a add Josh_6c
execute as @e[tag=!npc,tag=Josh_6b] run tag @a remove Josh_6b

execute if entity @a[x=984,y=30,z=1063,dx=0,dy=1,dz=0,tag=Josh_6c] run tag @a add npc

execute as @e[tag=active,scores={dialogue=1},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok, I've found it, it was rather easy, knowing it. There's a document, maybe it’s what I wanted...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_6c] at @s if entity @p[scores={right=2}] run give @s filled_map{map:5,display:{Name:"[{\"text\":\"Document\",\"italic\":false,\"bold\":true,\"color\":\"gray\"}]"},HideFlags:63,document:true}
execute as @e[tag=active,scores={dialogue=2},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It's an... adoption document?","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"That's my date of birth... Those are my parents' surnames...","color":"white"}]
execute as @e[tag=active,scores={dialogue=4},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"W-what... does this mean...","color":"white"}]
execute as @e[tag=active,scores={dialogue=5},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It can't be.... am I...","color":"white"}]
execute as @e[tag=active,scores={dialogue=6},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"...","color":"white"}]
execute as @e[tag=active,scores={dialogue=7},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Why... they never told me... this...","color":"white"}]
execute as @e[tag=active,scores={dialogue=8},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Was I too young?... Maybe they wanted to tell me just before… they…","color":"white"}]
execute as @e[tag=active,scores={dialogue=9},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"...","color":"white"}]
execute as @e[tag=active,scores={dialogue=10},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Who am I?... Who are my real parents?...","color":"white"}]
execute as @e[tag=active,scores={dialogue=11},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I need to know...","color":"white"}]
execute as @e[tag=active,scores={dialogue=12},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I… I should go home. No need to stay here.","color":"white"}]
execute as @e[tag=active,scores={dialogue=13},tag=Josh_6c] at @s if entity @p[scores={right=2}] run tag @a add scene_end8
execute as @e[tag=active,scores={dialogue=13},tag=scene_end8] at @s if entity @p[scores={right=2}] run clear @a filled_map{document:true}
execute as @e[tag=active,scores={dialogue=13},tag=scene_end8] at @s if entity @p[scores={right=2}] run tag @a remove Josh_6c
execute as @e[tag=active,scores={dialogue=13},tag=scene_end8] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=13},tag=scene_end8] at @s if entity @p[scores={right=2}] run tp @a 1000 15 1000


# Scene 9
execute as @e[tag=active,scores={dialogue=1},tag=Josh_7a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I have to calm down, I don't want to worry Cheryl...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_7a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I shouldn't tell her, for now...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_7a] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=2},tag=Josh_7a] at @s if entity @p[scores={right=2}] run tag @a remove tp4
execute as @e[tag=active,scores={dialogue=2},tag=Josh_7a] at @s if entity @p[scores={right=2}] run tag @a add Josh_7b
execute as @e[tag=active,scores={dialogue=2},tag=Josh_7a] at @s if entity @p[scores={right=2}] run tag @a remove Josh_7a

execute if entity @a[x=1063,y=37,z=995,dx=1,dy=1,dz=2,tag=Josh_7b] run tellraw @a ["",{"text":"She's not here. Maybe she's upstairs...","color":"white"}]
execute if entity @a[x=1063,y=37,z=995,dx=1,dy=1,dz=2,tag=Josh_7b] run tag @a remove Josh_7b

execute as @e[tag=active,scores={dialogue=1},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Honey...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Hi...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=3},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"...","color":"white"}]
execute as @e[tag=active,scores={dialogue=4},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"We were ready... for our child...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=5},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes, we were...","color":"white"}]
execute as @e[tag=active,scores={dialogue=6},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"We didn't want to know… if we were expecting a son or a daughter...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=7},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"So we chose... white, a neutral color...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=8},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Everything was ready, but... now everything it’s lost. I should have known…","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=9},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"No... we didn’t have any way to known that it would have happened...","color":"white"}]
execute as @e[tag=active,scores={dialogue=10},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I can't stop thinking.... about it, Josh... why it happened?... Why to us?... We were almost achieving our dream... and now, it’s almost as it has never happened…","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=11},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Cheryl...","color":"white"}]
execute as @e[tag=active,scores={dialogue=11},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tag @a add Josh_7c
execute as @e[tag=active,scores={dialogue=11},tag=Cheryl5] at @s if entity @p[scores={right=2}] run tag @e[tag=Cheryl5] remove npc
execute as @e[tag=active,scores={dialogue=11},tag=Cheryl5] at @s if entity @p[scores={right=2}] run scoreboard players reset @s dialogue

execute as @a[tag=Josh_7c,tag=!npc] run title @a actionbar ["",{"text":"Hug Cheryl","bold":true,"italic":true,"underlined":true,"color":"gray"}]

execute at @e[tag=Cheryl5] if entity @a[distance=..0.7,tag=Josh_7c] run tag @a add npc
execute at @e[tag=Cheryl5] if entity @a[distance=..0.7,tag=Josh_7c] run execute as @e[tag=Cheryl5] at @s run teleport @s ~ ~ ~ facing entity @p

execute as @e[tag=active,scores={dialogue=1},tag=Josh_7c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Everything will be ok. I'm here for you and you are here for me.","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_7c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"We may have lost our child, but we are together, we need to go forth with our lives.","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_7c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"We have overcome many hurdles. We can't stop here.","color":"white"}]
execute as @e[tag=active,scores={dialogue=4},tag=Josh_7c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"...","color":"aqua"}]
execute as @e[tag=active,scores={dialogue=5},tag=Josh_7c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Let's stop thinking about this... we should leave this room...","color":"white"}]
execute as @e[tag=active,scores={dialogue=6},tag=Josh_7c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It only does more harm...","color":"white"}]
execute as @e[tag=active,scores={dialogue=7},tag=Josh_7c] at @s if entity @p[scores={right=2}] run tag @a add scene_end9
execute as @e[tag=active,scores={dialogue=7},tag=scene_end9] at @s if entity @p[scores={right=2}] run tag @a remove Josh_7c
execute as @e[tag=active,scores={dialogue=7},tag=scene_end9] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=7},tag=scene_end9] at @s if entity @p[scores={right=2}] run tp @a 1000 15 1000
execute as @e[tag=active,scores={dialogue=7},tag=scene_end9] at @s if entity @p[scores={right=2}] run tag @e[tag=Cheryl5] add npc
execute as @e[tag=active,scores={dialogue=7},tag=scene_end9] at @s if entity @p[scores={right=2}] run execute as @e[tag=Cheryl5] at @s run teleport @s ~ ~ ~ 165 0


# Scene 10
tp @a[tag=tp5] 916 52 988

execute as @e[tag=active,scores={dialogue=1},tag=Josh_8a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"This is the adoption center showed on the document. This is the only place where I can learn more about my biological parents...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_8a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Maybe I should be happy... I have a new family to discover. Me and Cheryl have no close relatives left....","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_8a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I have already called this place. One of the employees told me to come here, she wants to talk with me in person...","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_8a] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=3},tag=Josh_8a] at @s if entity @p[scores={right=2}] run tag @a remove tp5
execute as @e[tag=active,scores={dialogue=3},tag=Josh_8a] at @s if entity @p[scores={right=2}] run tag @a add Josh_8b
execute as @e[tag=active,scores={dialogue=3},tag=Josh_8a] at @s if entity @p[scores={right=2}] run tag @a remove Josh_8a

execute if entity @a[x=928,y=52,z=992,dx=2,dy=1,dz=1,tag=Josh_8b,tag=!npc] run tellraw @a ["",{"text":"Welcome. Are you Josh?","color":"green"}]
execute if entity @a[x=928,y=52,z=992,dx=2,dy=1,dz=1,tag=Josh_8b] run tag @a add npc

execute as @e[tag=active,scores={dialogue=1},tag=Josh_8b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Yes, I am.","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_8b] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Happy to see you. Take a seat.","color":"green"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_8b] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=2},tag=Josh_8b] at @s if entity @p[scores={right=2}] run tag @e[tag=chair2] add npc
execute as @e[tag=active,scores={dialogue=2},tag=Josh_8b] at @s if entity @p[scores={right=2}] run tag @a remove Josh_8b

execute as @e[tag=active,scores={dialogue=1},tag=chair2] at @s if entity @p[scores={right=2}] run tag @a add tp6
execute as @e[tag=active,scores={dialogue=1},tag=chair2] at @s if entity @p[scores={right=2}] run tag @a add npc
execute as @e[tag=active,scores={dialogue=1},tag=chair2] at @s if entity @p[scores={right=2}] run tag @a add Josh_8c
execute as @e[tag=active,scores={dialogue=1},tag=chair2] at @s if entity @p[scores={right=2}] run tp @a 929 52 996.8 0 5
execute as @e[tag=active,scores={dialogue=1},tag=chair2] at @s if entity @p[scores={right=2}] run tag @e[tag=chair2] remove npc
execute as @e[tag=active,scores={dialogue=1},tag=chair2] at @s if entity @p[scores={right=2}] run tag @e[tag=chair2] remove active

tp @a[tag=tp6] 929 52 996.8

execute as @e[tag=active,scores={dialogue=1},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Thank you for your time, I really need to know more about my parents...","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It's part of my job, I'm glad to help you.","color":"green"}]
execute as @e[tag=active,scores={dialogue=3},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"From the document, I’ve found only the name of my mother… Alice. She shares the surname of my adoptive mother; I guess it was a relative of her?","color":"white"}]
execute as @e[tag=active,scores={dialogue=4},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"She was a cousin of your mother. They were close when younger, but she went to another state… It’s there that she met your father and they wanted to marry after she gave birth to you...","color":"green"}]
execute as @e[tag=active,scores={dialogue=5},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Why… what happened to them?...","color":"white"}]
execute as @e[tag=active,scores={dialogue=6},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I'm sorry, your mother died on childbirth...","color":"green"}]
execute as @e[tag=active,scores={dialogue=7},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"...","color":"white"}]
execute as @e[tag=active,scores={dialogue=8},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"It's ok... I never met her...","color":"white"}]
execute as @e[tag=active,scores={dialogue=9},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"What about my father?","color":"white"}]
execute as @e[tag=active,scores={dialogue=10},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Unfortunately, we don't know a lot about him. After your mother's death, he seems to have disappeared: he barely knew your mother family and when she died, he cut contact hours after your birth.","color":"green"}]
execute as @e[tag=active,scores={dialogue=11},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"So, we know only one thing for sure… his name.","color":"green"}]
execute as @e[tag=active,scores={dialogue=12},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Really?!","color":"white"}]
execute as @e[tag=active,scores={dialogue=13},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I need… to know.","color":"white"}]
execute as @e[tag=active,scores={dialogue=14},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"His name was...","color":"green"}]
execute as @e[tag=active,scores={dialogue=15},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tag @a remove tp6
execute as @e[tag=active,scores={dialogue=15},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tp @a 1000 15 1000
execute as @e[tag=active,scores={dialogue=15},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Derek Willberg","color":"green"}]
# After the teleport, the player loses the ability to trigger new lines, so here another right click isn't needed to end the scene
execute as @e[tag=active,scores={dialogue=15},tag=Josh_8c] at @s if entity @p[scores={right=2}] run tag @a add scene_end10
execute as @e[tag=active,scores={dialogue=15},tag=scene_end10] at @s if entity @p[scores={right=2}] run tag @a remove Josh_8c
execute as @e[tag=active,scores={dialogue=15},tag=scene_end10] at @s if entity @p[scores={right=2}] run tag @a remove npc


# Scene 11
execute as @e[tag=active,scores={dialogue=1},tag=Josh_9a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"My biological father… is he alive?","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_9a] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"I need to know… at all cost.","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=Josh_9a] at @s if entity @p[scores={right=2}] run tag @a remove npc
execute as @e[tag=active,scores={dialogue=2},tag=Josh_9a] at @s if entity @p[scores={right=2}] run tag @a remove tp4
execute as @e[tag=active,scores={dialogue=2},tag=Josh_9a] at @s if entity @p[scores={right=2}] run tag @a add Josh_9b
execute as @e[tag=active,scores={dialogue=2},tag=Josh_9a] at @s if entity @p[scores={right=2}] run tag @a remove Josh_9a

execute if entity @a[x=1063,y=37,z=995,dx=1,dy=1,dz=2,tag=Josh_9b] run tellraw @a ["",{"text":"Hmm, where’s Cheryl?","color":"white"}]
execute if entity @a[x=1063,y=37,z=995,dx=1,dy=1,dz=2,tag=Josh_9b] run tag @a add Josh_9c
execute if entity @a[x=1063,y=37,z=995,dx=1,dy=1,dz=2,tag=Josh_9b] run tag @a remove Josh_9b

execute if entity @a[x=1064,y=43,z=998,dx=1,dy=1,dz=2,tag=Josh_9c] run tellraw @a ["",{"text":"Cheryl!!","color":"white"}]
execute if entity @a[x=1064,y=43,z=998,dx=1,dy=1,dz=2,tag=Josh_9c] run tag @a remove Josh_9c

execute as @e[tag=active,scores={dialogue=1},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Cheryl, wake up!","color":"white"}]
execute as @e[tag=active,scores={dialogue=2},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"What happened…","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Her antidepressants… what did she do...","color":"white"}]
execute as @e[tag=active,scores={dialogue=3},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run execute as @a at @s run tp @s ~ ~ ~ facing entity @e[limit=1,tag=pills]
execute as @e[tag=active,scores={dialogue=3},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run execute as @a at @s run tp @s ~ ~ ~ ~ ~10
execute as @e[tag=active,scores={dialogue=4},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Cheryl, please, answer me!","color":"white"}]
# Removed: execute as @e[tag=active,scores={dialogue=4},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run execute as @a at @s run tp @s ~ ~ ~ facing entity @e[limit=1,tag=C_final,tag=body]
execute as @e[tag=active,scores={dialogue=5},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run scoreboard players set Emergency dialogue 1

execute if score Emergency dialogue matches 1..30 run scoreboard players add Emergency dialogue 1
execute if score Emergency dialogue matches 10 run execute at @a run playsound minecraft:block.note_block.flute master @a ~ ~ ~ 0.2 0.5
execute if score Emergency dialogue matches 18 run execute at @a run playsound minecraft:block.note_block.flute master @a ~ ~ ~ 0.2 0.5
execute if score Emergency dialogue matches 26 run execute at @a run playsound minecraft:block.note_block.flute master @a ~ ~ ~ 0.2 0.685
execute if score Emergency dialogue matches 30.. run scoreboard players reset Emergency dialogue

execute as @e[tag=active,scores={dialogue=6},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Emergency line. What is your emergency?","color":"red"}]
execute as @e[tag=active,scores={dialogue=7},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"My wife! She's unconscious, she doesn't respond to me... She might have taken too many pills, please, I need help!","color":"white"}]
execute as @e[tag=active,scores={dialogue=8},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Ok, help is on the way! Don't hang up!","color":"red"}]
execute as @e[tag=active,scores={dialogue=9},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Come on Cheryl, come on... Please, wake up!","color":"white"}]
execute as @e[tag=active,scores={dialogue=10},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Please…","color":"white"}]
execute as @e[tag=active,scores={dialogue=11},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tp @a 1000 15 1000
execute as @e[tag=active,scores={dialogue=11},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tellraw @a ["",{"text":"Wake up…","color":"white"}]
execute as @e[tag=active,scores={dialogue=11},tag=C_final,tag=body] at @s if entity @p[scores={right=2}] run tag @a add scene_end11



# Secret
effect give @a[x=-1101,y=100,z=-1002,dx=101,dy=2,dz=4] slowness 1 1 true
experience set @a[x=-1101,y=100,z=-1002,dx=101,dy=2,dz=4] 5

execute if entity @a[x=-1017,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0a] run tellraw @a ["",{"text":"Did you hear... I'm so sorry for her...","color":"gray","italic":"true"}]
execute if entity @a[x=-1017,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0a] run execute at @a run playsound minecraft:ambient.underwater.loop.additions.ultra_rare master @a ~ ~ ~ 0.3 0
execute if entity @a[x=-1017,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0a] run tag @a add Cheryl_0b
execute if entity @a[x=-1017,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0a] run tag @a remove Cheryl_0a

execute if entity @a[x=-1033,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0b] run tellraw @a ["",{"text":"It's a tragedy... something should have been done...","color":"gray","italic":"true"}]
execute if entity @a[x=-1033,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0b] run execute at @a run playsound minecraft:ambient.underwater.loop.additions.ultra_rare master @a ~ ~ ~ 0.3 0
execute if entity @a[x=-1033,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0b] run tag @a add Cheryl_0c
execute if entity @a[x=-1033,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0b] run tag @a remove Cheryl_0b

execute if entity @a[x=-1049,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0c] run tellraw @a ["",{"text":"I can understand her... but she should have done something...","color":"gray","italic":"true"}]
execute if entity @a[x=-1049,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0c] run execute at @a run playsound minecraft:ambient.underwater.loop.additions.ultra_rare master @a ~ ~ ~ 0.3 0
execute if entity @a[x=-1049,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0c] run tag @a add Cheryl_0d
execute if entity @a[x=-1049,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0c] run tag @a remove Cheryl_0c

execute if entity @a[x=-1065,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0d] run tellraw @a ["",{"text":"Her fault... she failed to protect her...","color":"gray","italic":"true"}]
execute if entity @a[x=-1065,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0d] run execute at @a run playsound minecraft:ambient.underwater.loop.additions.ultra_rare master @a ~ ~ ~ 0.3 0
execute if entity @a[x=-1065,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0d] run tag @a add END
execute if entity @a[x=-1065,y=101,z=-1002,dx=4,dy=1,dz=4,tag=Cheryl_0d] run tag @a remove Cheryl_0d

execute as @a[x=-1101,y=101,z=-1000,dx=0,dy=1,dz=0,tag=END] run tag @a add STOP
execute as @a[x=-1101,y=101,z=-1000,dx=0,dy=1,dz=0,tag=END] run scoreboard players set DEATH dialogue 1
execute as @a[x=-1101,y=101,z=-1000,dx=0,dy=1,dz=0,tag=END] run tag @a remove END

tp @a[tag=STOP] -1101 101 -1000 90 0

execute if score DEATH dialogue matches 1..900 run scoreboard players add DEATH dialogue 1
execute if score DEATH dialogue matches 900.. run scoreboard players reset DEATH dialogue

execute if score DEATH dialogue matches 10 run execute at @a run tellraw @a ["",{"text":"You left someone to die...","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 10 run execute at @a run playsound minecraft:ambient.underwater.loop.additions.ultra_rare master @a ~ ~ ~ 0.3 0
execute if score DEATH dialogue matches 90 run execute at @a run tellraw @a ["",{"text":"...for the second time...","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 180 run execute at @a run tellraw @a ["",{"text":"When will you learn...","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 180 run execute at @a run playsound minecraft:ambient.underwater.loop.additions.ultra_rare master @a ~ ~ ~ 0.3 0
execute if score DEATH dialogue matches 180 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,10f]}}
execute if score DEATH dialogue matches 187 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,0.0f]}}
execute if score DEATH dialogue matches 194 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,20f]}}
execute if score DEATH dialogue matches 195 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,0.0f]}}
execute if score DEATH dialogue matches 270 run execute at @a run tellraw @a ["",{"text":"You only bring death...","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 360 run execute at @a run tellraw @a ["",{"text":"...tragedies...","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 360 run execute at @a run playsound minecraft:ambient.underwater.loop.additions.ultra_rare master @a ~ ~ ~ 0.3 0
execute if score DEATH dialogue matches 450 run execute at @a run tellraw @a ["",{"text":"...nothing good comes from you.","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 540 run execute at @a run tellraw @a ["",{"text":"I died because of you...","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 540 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,15f]}}
execute if score DEATH dialogue matches 542 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,10f,30f]}}
execute if score DEATH dialogue matches 545 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,0f]}}
execute if score DEATH dialogue matches 600 run execute at @a run weather rain
execute if score DEATH dialogue matches 630 run execute at @a run tellraw @a ["",{"text":"Tell me... Cheryl...","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 630 run execute at @a run playsound minecraft:ambient.underwater.loop.additions.ultra_rare master @a ~ ~ ~ 0.3 0
execute if score DEATH dialogue matches 700 run execute at @a run tellraw @a ["",{"text":"When...","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 700 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,40f]}}
execute if score DEATH dialogue matches 701 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,0f]}}
execute if score DEATH dialogue matches 710 run execute at @a run time set 1000
execute if score DEATH dialogue matches 720 run execute at @a run tellraw @a ["",{"text":"       will...","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 720 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[20f,0f,20f]}}
execute if score DEATH dialogue matches 721 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,0f]}}
execute if score DEATH dialogue matches 730 run execute at @a run time set 0
execute if score DEATH dialogue matches 740 run execute at @a run tellraw @a ["",{"text":"            you…","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 740 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,5f,30f]}}
execute if score DEATH dialogue matches 741 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,0f]}}
execute if score DEATH dialogue matches 750 run execute at @a run time set 23000
execute if score DEATH dialogue matches 760 run execute at @a run tellraw @a ["",{"text":"                   do…","color":"dark_gray","italic":"true"}]
execute if score DEATH dialogue matches 760 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[55f,25f,50f]}}
execute if score DEATH dialogue matches 761 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,0f]}}
execute if score DEATH dialogue matches 770 run execute at @a run time set 14000
execute if score DEATH dialogue matches 780 run execute at @a run tellraw @a ["",{"text":"The Same…","color":"dark_red","italic":"true","bold":"true"}]
execute if score DEATH dialogue matches 780 run execute at @a run playsound minecraft:ui.toast.out master @a ~ ~ ~ 1 0
execute if score DEATH dialogue matches 785 run execute at @a run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,180f,0f]}}
execute if score DEATH dialogue matches 799 run execute at @a run tag @a remove STOP
execute if score DEATH dialogue matches 799 run execute at @a run weather clear
execute if score DEATH dialogue matches 799 run execute at @a run stopsound @a master minecraft:ambient.underwater.loop.additions.ultra_rare
execute if score DEATH dialogue matches 799 run execute as @e[tag=M] run data merge entity @s {Pose:{Head:[0f,0f,0f]}}
execute if score DEATH dialogue matches 799 run execute at @a run tp @a 1000 15 1000
execute if score DEATH dialogue matches 799 run execute at @a run time set day
execute if score DEATH dialogue matches 899 run execute at @a run tag @a remove SECRET
execute if score DEATH dialogue matches 899 run execute at @a run experience set @a 0
execute if score DEATH dialogue matches 899 run execute at @a run tp @a 1000 100 1000 180 15